local L = AceLibrary("AceLocale-2.2"):new("FuBar_VampwatchFu")

L:RegisterTranslations("enUS", function() return {
	["addonname"] = "|cffffffffVampwatch|r|cff00ff00Fu|r",
	["VampwatchFu"] = "VampwatchFu",
	["author"] = "Jayrox - Bleeing Hollow[US]",
	["consolecommands"] = { "/vwfu" },
	
	["show_title"] = "Show Title",
	["show_title_desc"] = "Show the VampwatchFu title",
	
	["vamp_touch"] = "Show Vampiric Touch",
	["vamp_touch_text"] = "Vampiric Touch",
	["vamp_touch_desc"] = "Toggles whether to show Vampiric Touch on the button.",
	["vt_title"] = " VT: ",
	
	["vamp_embrace"] = "Show Vampiric Embrace",
	["vamp_embrace_text"] = "Vampiric Embrace",
	["vamp_embrace_desc"] = "Toggles whether to show Vampiric Emrbace on the button.",
	["ve_title"] = " VE: ",
	
	["sf_timer"] = "Shadowfiend Timer",
	["sf_timer_desc"] = "Show Shadowfiend timer.",
	["sf_toggle"] = "Show Shadowfiend",
	["sf_toggle_desc"] = "Toggles whether to show Shadowfiend on the button.",
	["sf_title"] = " SF: ",

	["Amount"] = true,
	
	["monitoroverheal"] = "Monitor Overhealing",
	["monitoroverheal_desc"] = "Monitor Vampiric Embrace overhealing.",
	
	["say"] = true,
	["party"] = true,
	["raid"] = true,
	["guild"] = true,
	["send_to_say"] = "Send to Say",
	["send_to_party"] = "Send to Party",
	["send_to_raid"] = "Send to Raid",
	["send_to_guild"] = "Send to Guild",

	["send_custom"] = "Custom: ",
	["send_custom_channel"] = "Send to custom channel.",

	["total"] = "Total",
	["last"] = "Last Fight",
	["etotal"] = "Effective Total",
	["elast"] = "Effective Last Fight",
	["high"] = "Highest Tick",
	["avg"] = "Average Tick",
	["ticks"] = "Number of Ticks",

	["reset_totals"] = "Reset Totals",
	["reset_totals_desc"] = "Reset Totals - Does not reset tick stats.",
	["reset_all"] = "Reset All",
	["reset_all_desc"] = "Reset All - Resets ALL stats back to zero.",
	["Reset_confirm"] = "Do you really want to Reset your stats?\n\nAll stats will be lost!",
	["Reset_confirm_totals"] = "Do you really want to Reset your stats?\n\nAll totals will be lost!",

	["broadcast_opt"] = "Broadcasting Options",
	["multiline"] = "Multiline",
	["spam_on_click"] = "Enable Button Spam",
	["spam_on_click_desc"] = "Enable sending stats to chat on click",

	["Show Anchor"] = true,
	["Shows the dragable anchor."] = true,

	["Yes"] = true,
	["No"] = true,
	
	["Menu"] = true,
	["Menu options."] = true,

	
	["title_last"] = "Show last fight stats on FuBar button.",
	["title_total"] = "Show overall stats on FuBar button.",
	["title_text"] = "FuBar button text options.",
	["title_text_desc"] = "FuBar button text display options.",

	["mana"] = true,
	["health"] = true,
	["effective health"] = true,
	
	-- Spam Strings
	[" ## VampwatchFu Stats:"] = true,
	[" ## Vampiric Touch - Last Fight : "] = true,
	[" ## Vampiric Touch - All Fights : "] = true,
	[" ## Vampiric Embrace - Last Fight : "] = true,
	[" ## Vampiric Embrace - All Fights : "] = true,
	["vwFu:: Vampiric Touch Total: "] = true,
	[" Vampiric Embrace Total: "] = true,
	["vwFu: Vampiric Embrace Ticks: "] = true,
	[" Average Tick: "] = true,
	[" Highest Tick: "] = true,
	["vwFu: Vampiric Touch Ticks: "] = true,
	["vwFu: Vampiric Embrace Total: "] = true,
	["vwFu: Vampiric Touch Total: "] = true,
	["vwFu: Vampiric Touch Last: "] = true,
	["vwFu: Vampiric Embrace Last: "] = true,
	["vwFu: Shadowfiend Ticks: "] = true,
	["vwFu: Shadowfiend Last: "] = true,
	["vwFu: Shadowfiend Total: "] = true,
	
	["FuBarHint"] = "|cffeda55fClick|r FuBar button to send to chat. |cffeda55fClick|r a tooltip stat to send it to chat.",
	
} end)


L:RegisterTranslations("deDE", function() return {
	["addonname"] = "|cffffffffVampwatch|r|cff00ff00Fu|r",
	["VampwatchFu"] = "VampwatchFu",
	["author"] = "Jayrox - Bleeing Hollow[US]",
	["consolecommands"] = { "/vwfu" },
   
	["show_title"] = "Titel anzeigen",
	["show_title_desc"] = "VampwatchFu Titel anzeigen",
	
	["vamp_touch"] = "Vampirber\195\188hrung anzeigen",
	["vamp_touch_text"] = "Vampirber\195\188hrung",
	["vamp_touch_desc"] = "Vampirber\195\188hrung anzeigen",
	["vt_title"] = " VT: ",

	["vamp_embrace"] = "Vampirumarmung anzeigen",
	["vamp_embrace_text"] = "Vampirumarmung",
	["vamp_embrace_desc"] = "Vampirumarmung anzeigen",
	["ve_title"] = " VE: ",

	["sf_timer"] = "Zeitanzeige: Schattengeist",
	["sf_timer_desc"] = "Zeitanzeige fr Schattengeist",
	["sf_toggle"] = "Schattengeist anzeigen",
	["sf_toggle_desc"] = "Schattengeist anzeigen",
	["sf_title"] = " SF: ",
   
	["Amount"] = "Menge:",
	
	["monitoroverheal"] = "Overheal aufzeichnen",
	["monitoroverheal_desc"] = "Overheal durch Vampirumarmung aufzeichnen",
	
	["say"] = "Sagen",
	["party"] = "Gruppe",
	["raid"] = "Schlachtzug",
	["guild"] = "Gilde",
	["send_to_say"] = "Ausgabe: Sagen",
	["send_to_party"] = "Ausgabe: Gruppe",
	["send_to_raid"] = "Ausgabe: Schlachtzug",
	["send_to_guild"] = "Ausgabe: Gilde",

	["send_custom"] = "Ausgabe: Selbstdefiniert",
	["send_custom_channel"] = "An einen selbstdefinierten Channel senden.",

	["total"] = "Gesamt",
	["last"] = "Letzter Kampf",
	["etotal"] = "Gesamt (effektiv)",
	["elast"] = "Letzter Kampf (effektiv)",
	["high"] = "H\195\182chster Tick",
	["avg"] = "Durchschnittlicher Tick",
	["ticks"] = "Anzahl an Ticks",

	["reset_totals"] = "Summe zur\195\188cksetzen",
	["reset_totals_desc"] = "Summe zur\195\188cksetzen - setzt die Ticks NICHT zurck",
	["reset_all"] = "Alles zur\195\188cksetzen",
	["reset_all_desc"] = "Alles zur\195\188cksetzen - setzt ALLE Summen zurck",
	["Reset_confirm"] = "Wirklich alle Daten zur\195\188cksetzen??\n\nAlle Daten gehen verloren!",
	["Reset_confirm_totals"] = "Wirklich alle Summen zur\195\188cksetzen??\n\nAlle Summen gehen verloren!",

	["broadcast_opt"] = "Ausgabeeinstellungen",
	["multiline"] = "Ausgabe in mehreren Linien",
	["spam_on_click"] = "Button Spam einschalten",
	["spam_on_click_desc"] = "Alle Werte werden beim Klicken in den Chat gespammt",

	["Show Anchor"] = "Anker anzeigen",
	["Shows the dragable anchor."] = "Zeigt einen Anker zum verschieben an.",

	["Yes"] = "Ja",
	["No"] = "Nein",
	
	["Menu"] = "Menu",
	["Menu options."] = "Men\195\188-Optionen",
   

 	["title_last"] = "Zeige den letzen Kampf beim Button an",
	["title_total"] = "Zeige die Gesamtwerte beim Button an",
	["title_text"] = "FuBar-Button Textoptionen",
	["title_text_desc"] = "FuBar-Button Textoptionen",

	["mana"] = "Mana",
	["health"] = "Gesundheit",
	["effective health"] = "Gesundheit (effektiv)",

	-- Spam Strings
	[" ## VampwatchFu Stats:"] = " ## VampwatchFu Werte:",
	[" ## Vampiric Touch - Last Fight : "] = " ## Vampirber\195\188hrung - Letzter Kampf : ",
	[" ## Vampiric Touch - All Fights : "] = " ## Vampirber\195\188hrung - Alle K\195\164mpfe : ",
	[" ## Vampiric Embrace - Last Fight : "] = " ## Vampirumarmung - Letzter Kampf : ",
	[" ## Vampiric Embrace - All Fights : "] = " ## Vampirumarmung - Alle K\195\164mpfe : ",
	["vwFu:: Vampiric Touch Total: "] = "vwFu:: Summe Vampirber\195\188hrung: ",
	[" Vampiric Embrace Total: "] = " Vampirumarmung - Summe: ",
	["vwFu: Vampiric Embrace Ticks: "] = "vwFu: Vampirumarmung Ticks: ",
	[" Average Tick: "] = " Durchschnittlicher Tick: ",
	[" Highest Tick: "] = " H\195\182chster Tick: ",
	["vwFu: Vampiric Touch Ticks: "] = "vwFu: Vampirber\195\188hrung Ticks: ",
	["vwFu: Vampiric Embrace Total: "] = "vwFu: Vampirumamrung - Summe: ",
	["vwFu: Vampiric Touch Total: "] = "vwFu: Vampirber\195\188hrung - Summe : ",
	["vwFu: Vampiric Touch Last: "] = "vwFu: Vampirber\195\188hrung - letzter Wert: ",
	["vwFu: Vampiric Embrace Last: "] = "vwFu: Vampirumarmung - letzter Wert: ",
	["vwFu: Shadowfiend Ticks: "] = "vwFu: Schattengeist Ticks: ",
	["vwFu: Shadowfiend Last: "] = "vwFu: Schattengeist - letzter Wert: ",
	["vwFu: Shadowfiend Total: "] = "vwFu: Schattengeist - Summe: ",

	["FuBarHint"] = "Klicken um Daten an den Chat zu schicken.\nEinzelne Daten im Tooltip anklicken um Details an den Chat zu schicken.", 
} end)